Package io.strimzi.systemtest.interfaces

## Class ExtensionContextParameterResolver

- java.lang.Object
- - io.strimzi.systemtest.interfaces.ExtensionContextParameterResolver

- All Implemented Interfaces:
    `org.junit.jupiter.api.extension.Extension`, `org.junit.jupiter.api.extension.ParameterResolver`

      public class ExtensionContextParameterResolver
      extends Object
      implements org.junit.jupiter.api.extension.ParameterResolver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensionContextParameterResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `resolveParameter​(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)` |
    `boolean` | `supportsParameter​(org.junit.jupiter.api.extension.ParameterContext parameterContext, org.junit.jupiter.api.extension.ExtensionContext extensionContext)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionContextParameterResolver

          public ExtensionContextParameterResolver()

  - ### Method Detail

    - #### supportsParameter

          public boolean supportsParameter​(org.junit.jupiter.api.extension.ParameterContext parameterContext,
                                           org.junit.jupiter.api.extension.ExtensionContext extensionContext)
                                    throws org.junit.jupiter.api.extension.ParameterResolutionException

      Specified by:
        `supportsParameter` in interface `org.junit.jupiter.api.extension.ParameterResolver`
      Throws:
        `org.junit.jupiter.api.extension.ParameterResolutionException`

    - #### resolveParameter

          public Object resolveParameter​(org.junit.jupiter.api.extension.ParameterContext parameterContext,
                                         org.junit.jupiter.api.extension.ExtensionContext extensionContext)
                                  throws org.junit.jupiter.api.extension.ParameterResolutionException

      Specified by:
        `resolveParameter` in interface `org.junit.jupiter.api.extension.ParameterResolver`
      Throws:
        `org.junit.jupiter.api.extension.ParameterResolutionException`